import request from '@/utils/request'

// 查询主体认证信息列表
export function listAuth(query) {
  return request({
    url: '/brewery/auth/list',
    method: 'get',
    params: query
  })
}

// 查询主体认证信息详细
export function getAuth() {
  return request({
    url: '/brewery/auth/authInfo' ,
    method: 'get'
  })
}

// 新增主体认证信息
export function addAuth(data) {
  return request({
    url: '/brewery/auth',
    method: 'post',
    data: data
  })
}

// 修改主体认证信息
export function updateAuth(data) {
  return request({
    url: '/brewery/auth',
    method: 'put',
    data: data
  })
}

// 删除主体认证信息
export function delAuth(id) {
  return request({
    url: '/brewery/auth/' + id,
    method: 'delete'
  })
}
